package com.floatzcss.gwt.client.resource;

import com.google.gwt.resources.client.CssResource;

/**
 * Css bundle implementation of floatz.nav.css for GWT (2.0.1 and above)
 * 
 * Copyright (c) 1998-2010 by :humml:design
 * http://design.humml.eu/toolbox/floatz Licensed under Apache License 2.0
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * @see http://code.google.com/p/floatz/
 * @author Harald Humml
 * @version 1.1.1
 */

public interface Nav extends CssResource {

	/**
	 * Skiplink target anchor class
	 * 
	 * @return Name of CSS class
	 */
	@ClassName("flz_anchor")
	String anchor();

	/**
	 * Breadcrumb container class
	 * 
	 * @return Name of CSS class
	 */
	@ClassName("flz_breadcrumb")
	String breadcrumb();

	/**
	 * Marker class for disabled navigation item
	 * 
	 * @return Name of CSS class
	 */
	@ClassName("flz_disabled")
	String disabled();

	/**
	 * Horizontal menu container class
	 * 
	 * @return Name of CSS class
	 */
	@ClassName("flz_hmenu")
	String hmenu();

	/**
	 * Horizontal tab menu container class
	 * 
	 * @return Name of CSS class
	 */
	@ClassName("flz_htabmenu")
	String htabmenu();

	/**
	 * Horizontal bottom aligned tab menu container class
	 * 
	 * @return Name of CSS class
	 */
	@ClassName("flz_htabmenu_bottom")
	String htabmenu_bottom();

	/**
	 * List navigation class
	 * 
	 * @return Name of CSS class
	 */
	@ClassName("flz_listnav")
	String listnav();

	/**
	 * Marker class for selected navigation items
	 * 
	 * @return Name of CSS class
	 */
	@ClassName("flz_selected")
	String selected();

	/**
	 * Skiplink anchor class
	 * 
	 * @return Name of CSS class
	 */
	@ClassName("flz_skiplink")
	String skiplink();

	/**
	 * Skiplink navigation container class
	 * 
	 * @return Name of CSS class
	 */
	@ClassName("flz_skipnav")
	String skipnav();

	/**
	 * Toolbar navigation container class
	 * @return Name of CSS class
	 */
	@ClassName("flz_toolbar")
	String toolbar();

	/**
	 * Top navigation container class
	 * @return Name of CSS class
	 */
	@ClassName("flz_topnav")
	String topnav();

	/**
	 * Vertical menu container class
	 * @return
	 */
	@ClassName("flz_vmenu")
	String vmenu();
}
